#!/usr/bin/env python
import osr

wkt = open('oci.wkt').read()
srs = osr.SpatialReference()
srs.ImportFromWkt(wkt)

if srs.IsProjected():
    type = 'projected'

if srs.IsGeographic():
    type = 'geographic'

print 'Type      : %s' % type
print 'PROJCS    : %s' % srs.GetAttrValue('PROJCS')
print 'GEOGCS    : %s' % srs.GetAttrValue('GEOGCS')
print 'DATUM     : %s' % srs.GetAttrValue('DATUM')
print 'SPHEROID  : %s' % srs.GetAttrValue('SPHEROID')
print 'PRIMEM    : %s' % srs.GetAttrValue('PRIMEM')
print 'PROJECTION: %s' % srs.GetAttrValue('PROJECTION')
